Bug 175149 - [patch] mail/mutt: adopt optionsNG
Summary: [patch] mail/mutt: adopt optionsNG
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-09 00:50 UTC by Jason Helfman
Modified: 2013-03-14 07:40 UTC (History)
0 users

See Also:


Attachments
file.diff (23.42 KB, patch)
2013-01-09 00:50 UTC, Jason Helfman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Helfman freebsd_committer 2013-01-09 00:50:00 UTC
adopt optionsNG (new options framework)
update documentation
update pkg-desc

For your consideration: MUTT_OPTION -> OPTION (ie. MUTT_NNTP -> NNTP)
Comment 1 Edwin Groothuis freebsd_committer 2013-01-09 00:50:07 UTC
Maintainer of mail/mutt,

Please note that PR ports/175149 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/175149

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-01-09 00:50:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Jason Helfman freebsd_committer 2013-01-09 01:12:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it.
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2013-01-10 04:32:10 UTC
State Changed
From-To: feedback->open

From misfiled PR ports/175163: 

Date: Wed, 9 Jan 2013 10:22:40 -0800 
Comment 5 dfilter service freebsd_committer 2013-03-14 07:34:45 UTC
Author: jgh
Date: Thu Mar 14 07:34:30 2013
New Revision: 314137
URL: http://svnweb.freebsd.org/changeset/ports/314137

Log:
  - adopt optionsNG and remove legacy information from pkg-descr
  
  PR:		175149
  Submitted by:	jgh@/maintainer
  Approved by:	maintainer, Udo.Schweigert@siemens.com

Modified:
  head/mail/mutt/Makefile
  head/mail/mutt/pkg-descr
  head/mail/mutt/scripts/generate-plist

Modified: head/mail/mutt/Makefile
==============================================================================
--- head/mail/mutt/Makefile	Thu Mar 14 07:18:55 2013	(r314136)
+++ head/mail/mutt/Makefile	Thu Mar 14 07:34:30 2013	(r314137)
@@ -1,131 +1,16 @@
 # Created by: Udo Schweigert
-#
 # $FreeBSD$
 #
-# There are several knobs which are used to define additions to the core
-# mutt functionality.
-#
-# As all of the knobs have a unique name which should not interfere with
-# other ports you can add them to /etc/make.conf, e.g. a line like
-# "WITH_MUTT_NNTP=yes" will enable mutt's nntp facilities.
-#
-# In addition to the knobs listed below you can enable other configuration
+# In addition to the options you can enable other configuration
 # options of mutt by adding them to the MUTT_CONFIGURE_ARGS variable. For
 # example you could say "MUTT_CONFIGURE_ARGS=--with-homespool=MyMail" to
 # configure a different file for mutt's homespool.
 #
-# The two most important knobs are:
-#
-# In general you can choose between using ncurses (WITH_MUTT_NCURSES)
-# and SLANG (WITH_MUTT_SLANG). Note that you may have to set the variables
-# COLORTERM=yes and COLORFGBG="color1;color2" in your environment to get slang
-# function properly.
-# The default version for ncurses is that which comes with the operating
-# system. If you want to use the ncurses supplied by the ports-system define
-# WITH_MUTT_NCURSES_PORT.
-#
-# If you want to install the mutt documentation in html and ps format define:
-#  WITH_MUTT_HTML
-#  This is a default knob and can be disabled by WITHOUT_MUTT_HTML
-#
-# If you do not want that the documentation is rebuilt using the xml tools
-# define:
-#  WITHOUT_MUTT_XML
-#    (this can only be stated if WITHOUT_MUTT_HTML is defined)
-#
-# If you want to access compressed email folders define:
-#  WITH_MUTT_COMPRESSED_FOLDERS
-#  This is a default knob and can be disabled by WITHOUT_MUTT_COMPRESSED_FOLDERS
-#
-# If you do not want mutt to use the iconv library define:
-#  WITHOUT_MUTT_ICONV
-#
-# If you want mutt to use the idn library define:
-#  WITH_MUTT_IDN
-#
-# If you want to make use of the gpgme interface define:
-#  WITH_MUTT_GPGME
-#
-# If you want to enable extended quoting functions define:
-#  WITH_MUTT_QUOTE_PATCH
-#  This is a default knob and can be disabled by WITHOUT_MUTT_QUOTE_PATCH
-#
-# If you want to have the IMAP header cache define:
-#  WITH_MUTT_IMAP_HEADER_CACHE
-#
-# If you want to have the Maildir and the IMAP header cache define:
-#  WITH_MUTT_MAILDIR_HEADER_CACHE
-#
-# If you want to make SMIME outlook compatible define:
-#  WITH_MUTT_SMIME_OUTLOOK_COMPAT
-#  This is a default knob and can be disabled by
-#    WITHOUT_MUTT_SMIME_OUTLOOK_COMPAT
-#
-# If you want to read and post news with mutt define:
-#  WITH_MUTT_NNTP
-#
-# If you want to use the SASL2 authentication features with your email server
-# define
-#  WITH_MUTT_CYRUS_SASL2
-#
-# If you want mutt to use the GNU aspell spelling checker define:
-#  WITH_MUTT_ASPELL
-#
-# If you want mutt to use the ispell spelling checker define:
-#  WITH_MUTT_ISPELL
-#
-# If you want to use the signature menu define:
-#  WITH_MUTT_SIGNATURE_MENU
-#
-# If you want to use the printf-like enhancement to the mbox-hook command
-# define:
-#  WITH_MUTT_MBOX_HOOK_PATCH
-#
-# If you want to use the ifdef feature define:
-#  WITH_MUTT_IFDEF_PATCH
-#
-# If you want to have the Maildir mtime patch define:
-#  WITH_MUTT_MAILDIR_MTIME_PATCH
-#
-# If you want to have the Mailbox Sidebar patch define:
-#  WITH_MUTT_SIDEBAR_PATCH
-#
-# If you do not want mutt to use the flock() function define:
-#  WITHOUT_MUTT_FLOCK
-#
-# If you want to enable the reverse_reply option define:
-#  WITH_MUTT_REVERSE_REPLY_PATCH
-#
-# If you want to enable the `greeting' option define:
-#  WITH_MUTT_GREETING_PATCH
-#
-# If you want to enable the parent/child match support define:
-#  WITH_MUTT_PARENT_CHILD_MATCH_PATCH
-#
-# If you want to be able to use a trash folder for deleted emails (especially useful
-# for example for googlemail) define:
-#  WITH_MUTT_TRASH_PATCH
-#
-# If you want to enable the internal SMTP relay support define:
-#  WITH_MUTT_SMTP
-#
-# If you want to enable debugging capabilities define:
-#  WITH_MUTT_DEBUG
-#
-# If you do not want to install the manpages mbox.5 and mmdf.5 (because that
-# conflicts with other ports which installed these:
-#  WITHOUT_MUTT_MAILBOX_MANPAGES
-#
-# Use CFLAGS_ADD and LDFLAGS_ADD to append additional CLFAGS and LDFLAGS.
-#
 
 PORTNAME=	mutt
 PORTVERSION=	1.5.21
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES+=	mail ipv6
-.if defined(WITH_MUTT_NNTP)
-CATEGORIES+=	news
-.endif
 MASTER_SITES=	ftp://ftp.mutt.org/mutt/devel/ \
 		ftp://ftp.fu-berlin.de/pub/unix/mail/mutt/devel/ \
 		ftp://ftp.demon.co.uk/pub/mirrors/mutt/devel/ \
@@ -169,49 +54,62 @@ CONFIGURE_ARGS+=	${MUTT_CONFIGURE_ARGS}
 
 USE_AUTOTOOLS=	automake autoconf
 USE_OPENSSL=	yes
-USE_NCURSES=	yes
-USE_NCURSES_RPATH=	yes
 
-.if !defined (MUTT_LITE)
-OPTIONS=	MUTT_ASPELL			"Enable aspell support"		off \
-		MUTT_COMPRESSED_FOLDERS		"Enable compressed folders"	on \
-		MUTT_CYRUS_SASL2		"Enable SASL2 authentication"	off \
-		MUTT_DEBUG			"Enable debugging capabilities"	off \
-		MUTT_FLOCK			"Enable flock() usage"		off \
-		MUTT_GPGME			"Enable gpgme interface"	off \
-		MUTT_GREETING_PATCH		"Enable greeting"		off \
-		MUTT_HTML			"Enable HTML documentation"	on \
-		MUTT_ICONV			"Enable iconv support"		on  \
-		MUTT_IDN			"Enable idn support"		off \
-		MUTT_IFDEF_PATCH		"Enable ifdef feature"		off \
-		MUTT_IMAP_HEADER_CACHE		"Enable imap header cache"	off \
-		MUTT_ISPELL			"Enable ispell support"		off \
-		MUTT_LOCALES_FIX		"Enable locales fix"		off \
-		MUTT_MAILBOX_MANPAGES		"Install mbox.5/mmdf.5 manpages"	on  \
-		MUTT_MAILDIR_HEADER_CACHE	"Enable maildir header cache"	off \
-		MUTT_MAILDIR_MTIME_PATCH	"Enable Maildir mtime patch"	off \
-		MUTT_MBOX_HOOK_PATCH		"Enable enhanced mbox-hook"	off \
-		MUTT_NCURSES			"Enable ncurses support"	on \
-		MUTT_NCURSES_PORT		"Use ncurses from port"		off \
-		MUTT_NNTP			"Enable news reader"		off \
-		MUTT_PARENT_CHILD_MATCH_PATCH	"Enable parent/child match"	off \
-		MUTT_QUOTE_PATCH		"Enable extended quoting"	on  \
-		MUTT_REVERSE_REPLY_PATCH	"Enable reverse_reply"		off \
-		MUTT_SGMLFORMAT			"Enable sgml support"		on  \
-		MUTT_SIDEBAR_PATCH		"Enable sidebar"		off \
-		MUTT_SIGNATURE_MENU		"Enable signature menu"		off \
-		MUTT_SLANG			"Enable slang support"		off \
-		MUTT_SMIME_OUTLOOK_COMPAT	"SMIME outlook compatible"	on \
-		MUTT_SMTP			"Enable SMTP relay support"	off \
-		MUTT_TRASH_PATCH		"Enable trash folder support"	off \
-		MUTT_XML			"Use XML tools for docu"	on
+.if defined (MUTT_LITE)
+LITE=	YES
+.endif
+.if !defined (LITE)
+OPTIONS_DEFINE=	COMPRESSED_FOLDERS CYRUS_SASL2 DEBUG FLOCK \
+		GPGME GREETING_PATCH HTML ICONV IDN IFDEF_PATCH \
+		IMAP_HEADER_CACHE LOCALES_FIX MAILBOX_MANPAGES \
+		MAILDIR_HEADER_CACHE MAILDIR_MTIME_PATCH \
+		NNTP PARENT_CHILD_MATCH_PATCH \
+		QUOTE_PATCH REVERSE_REPLY_PATCH SGMLFORMAT SIDEBAR_PATCH \
+		SIGNATURE_MENU SMIME_OUTLOOK_COMPAT SMTP TRASH_PATCH \
+		XML
+
+OPTIONS_SINGLE=	SCREEN
+OPTIONS_RADIO=	SPELL
+OPTIONS_RADIO_SPELL=	ASPELL ISPELL
+OPTIONS_SINGLE_SCREEN=	NCURSES SLANG
+
+COMPRESSED_FOLDERS_DESC=	Compressed folders
+CYRUS_SASL2_DESC=	SASL2 authentication
+DEBUG_DESC=	Debugging capabilities
+FLOCK_DESC=	flock() usage
+GPGME_DESC=	Gpgme interface
+GREETING_PATCH_DESC=	Greeting support
+HTML_DESC=	HTML documentation
+IFDEF_PATCH_DESC=	ifdef feature
+IMAP_HEADER_CACHE_DESC=	IMAP header cache
+LOCALES_FIX_DESC=	Locales fix
+MAILBOX_MANPAGES_DESC=	Install mbox.5/mmdf.5 manpages
+MAILDIR_HEADER_CACHE_DESC=	Maildir header cache
+MAILDIR_MTIME_PATCH_DESC=	Maildir mtime patch
+MBOX_HOOK_PATCH_DESC=	Enhanced mbox-hook
+NCURSES_DESC=	Ncurses support
+PARENT_CHILD_MATCH_PATCH_DESC=	Parent/child match
+QUOTE_PATCH_DESC=	Extended quoting
+REVERSE_REPLY_PATCH_DESC=	Reverse_reply
+SGMLFORMAT_DESC=	SGML support
+SIDEBAR_PATCH_DESC=	Sidebar support
+SIGNATURE_MENU_DESC=	Signature menu
+SLANG_DESC=	SLANG support
+SMIME_OUTLOOK_COMPAT_DESC=	SMIME outlook compatibility
+SMTP_DESC=	SMTP relay support
+TRASH_PATCH_DESC=	Trash folder support
+XML_DESC=	Use XML tools for building documentation
+
+OPTIONS_DEFAULT=	COMPRESSED_FOLDERS HTML ICONV MAILBOX_MANPAGES \
+		NCURSES QUOTE_PATCH SGMLFORMAT SMIME_OUTLOOK_COMPAT \
+		NLS XML
 .endif
 
 PLIST=		${WRKDIR}/PLIST
 PKGMESSAGE=	${WRKDIR}/pkg-message
 SCRIPTS_ENV=	WRKDIR="${WRKDIR}"
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
 DW_PATCH_VERSION=	1.5.6
 AC_PATCH_VERSION=	1.5.9
@@ -231,16 +129,8 @@ DW_MBOX_PATCH_VERSION=	${DW_PATCH_VERSIO
 .if !defined(AC_PATCH_VERSION)
 AC_PATCH_VERSION=	${PORTVERSION}
 .endif
-.if defined(WITH_MUTT_MAILDIR_HEADER_CACHE)
-WITH_MUTT_IMAP_HEADER_CACHE=	yes
-.endif
 
-.if defined (MUTT_LITE)
-WITHOUT_MUTT_XML=			yes
-WITHOUT_MUTT_COMPRESSED_FOLDERS=	yes
-WITHOUT_MUTT_QUOTE_PATCH=		yes
-WITHOUT_MUTT_HTML=			yes
-WITH_MUTT_NCURSES=			yes
+.if defined (LITE)
 PKGNAMESUFFIX=	-lite
 .endif
 
@@ -255,20 +145,12 @@ pre-build:
 		${BUILD_WRKSRC}/Makefile
 
 RUN_DEPENDS+=	${LOCALBASE}/etc/mime.types:${PORTSDIR}/misc/mime-support
-.if !defined (MUTT_LITE)
-.if exists(${LOCALBASE}/bin/aspell) && !defined(WITH_MUTT_ISPELL)
-WITH_MUTT_ASPELL=	yes
-.elif exists(${LOCALBASE}/bin/ispell) && !defined(WITH_MUTT_ASPELL)
-WITH_MUTT_ISPELL=	yes
-.endif
-.if defined(PACKAGE_BUILDING) && !defined(WITH_MUTT_ASPELL) && \
-	!defined(WITH_MUTT_ISPELL)
-WITH_MUTT_ASPELL=	yes
-.endif
-.if defined(WITH_MUTT_ASPELL)
+
+.if !defined (LITE)
+.if ${PORT_OPTIONS:MASPELL}
 BUILD_DEPENDS+=	aspell:${PORTSDIR}/textproc/aspell
 RUN_DEPENDS+=	aspell:${PORTSDIR}/textproc/aspell
-.elif defined(WITH_MUTT_ISPELL)
+.elif ${PORT_OPTIONS:MISPELL}
 BUILD_DEPENDS+=	ispell:${PORTSDIR}/textproc/ispell
 RUN_DEPENDS+=	ispell:${PORTSDIR}/textproc/ispell
 .endif
@@ -277,133 +159,105 @@ RUN_DEPENDS+=	urlview:${PORTSDIR}/textpr
 .endif
 .endif
 
-.if defined(WITH_MUTT_NCURSES_PORT)
-WITH_MUTT_NCURSES=	yes
-.endif
-.if defined(WITH_MUTT_SLANG) || defined(WITH_SLANG)
-MUTT_USES_SLANG=	yes
-.endif
-.if defined(WITH_MUTT_NCURSES) && !defined(MUTT_USES_SLANG)
-MUTT_USES_NCURSES=	yes
-.endif
-.if !defined(MUTT_USES_SLANG) && !defined(WITHOUT_MUTT_SLANG)
-MUTT_USES_NCURSES=	yes
-.endif
-.if defined(WITHOUT_MUTT_SGMLFORMAT)
-XML_USED=	no
+# Handle ncurses/ncurses-port/slang
+.if ${PORT_OPTIONS:MSLANG}
+CONFIGURE_ARGS+=	--with-slang=${LOCALBASE}
+LIB_DEPENDS+=	slang.2:${PORTSDIR}/devel/libslang2
 .endif
-.if defined(WITHOUT_MUTT_XML)
-XML_USED=	no
+
+.if ${PORT_OPTIONS:NCURSES}
+USE_NCURSES=	yes
 .endif
-.if !defined(XML_USED)
+
+.if ! ${PORT_OPTIONS:MSGMLFORMAT} || ! ${PORT_OPTIONS:MXML} || !defined(XML_USED) \
+	|| ! ${PORT_OPTIONS:MDOCS}
 XML_USED=	no
 .endif
-.if !defined(WITHOUT_NLS)
+
+.if ${PORT_OPTIONS:MNLS}
 USE_GETTEXT=	yes
+SCRIPTS_ENV+=	NLS="yes"
+.else
+CONFIGURE_ARGS+=	--disable-nls
 .endif
-.if !defined(WITHOUT_MUTT_ICONV)
-USE_ICONV=	yes
-.endif
-.if defined(NOPORTDOCS)
-XML_USED=	no
-.endif
-.if defined(WITH_MUTT_NCURSES_PORT)
-.if !defined(MUTT_USES_SLANG)
-MUTT_USES_NCURSES_PORT=	yes
-.endif
-.endif
-.if defined(MUTT_USES_NCURSES_PORT)
-WITH_NCURSES_PORT=	yes
-CFLAGS+=	-I${NCURSESINC}
-.elif defined(MUTT_USES_SLANG)
-LIB_DEPENDS+=	slang.2:${PORTSDIR}/devel/libslang2
-.endif
-.if defined(WITH_MUTT_CYRUS_SASL2)
+
+.if ${PORT_OPTIONS:MCYRUS_SASL2}
 LIB_DEPENDS+=	sasl2:${PORTSDIR}/security/cyrus-sasl2
+CONFIGURE_ARGS+=	with-sasl=${LOCALBASE}
 .endif
-.if exists(${LOCALBASE}/lib/libidn.so) && !defined(WITHOUT_MUTT_IDN)
-WITH_MUTT_IDN=	yes
-.endif
-.if defined(WITH_MUTT_IDN)
-LIB_DEPENDS+=	idn:${PORTSDIR}/dns/libidn
-.endif
-.if defined(WITH_MUTT_GPGME)
-LIB_DEPENDS+=	gpgme:${PORTSDIR}/security/gpgme
-.endif
-.if ! defined(WITHOUT_MUTT_SMIME_OUTLOOK_COMPAT)
+
+.if ${PORT_OPTIONS:MSMIME_OUTLOOK_COMPAT}
 post-patch::
 	@${PATCH} ${PATCH_ARGS} < ${PATCHDIR}/extra-patch-smime-outlook
 .endif
-.if defined(WITH_MUTT_SIGNATURE_MENU)
-IGNORE=	the WITH_MUTT_SIGNATURE_MENU does not work at the moment
+
+.if ${PORT_OPTIONS:MSIGNATURE_MENU}
+IGNORE=	the WITH_SIGNATURE_MENU does not work at the moment
 XML_NEEDED=	yes
+SCRIPTS_ENV+=	SIGNATURE_MENU="yes"
 post-patch::
 	@${PATCH} ${PATCH_ARGS} -p1 < ${PATCHDIR}/extra-patch-signature-menu
 .endif
-.if defined(WITH_MUTT_MAILDIR_MTIME_PATCH)
+
+.if ${PORT_OPTIONS:MMAILDIR_MTIME_PATCH}
 post-patch::
-.if defined(WITH_MUTT_NNTP)
+.if ${PORT_OPTIONS:MNNTP}
 	@${PATCH} ${PATCH_ARGS} < ${PATCHDIR}/extra-patch-maildir-mtime-nntp
 .else
 	@${PATCH} ${PATCH_ARGS} < ${PATCHDIR}/extra-patch-maildir-mtime
 .endif
 .endif
 
-.if defined(WITH_MUTT_ASPELL)
+.if ${PORT_OPTIONS:MASPELL}
 post-patch::
 	@${PATCH} ${PATCH_ARGS} < ${PATCHDIR}/extra-patch-aspell
 .endif
 
-.if defined(WITH_MUTT_REVERSE_REPLY_PATCH)
+.if ${PORT_OPTIONS:MREVERSE_REPLY_PATCH}
 post-patch::
 	@${PATCH} ${PATCH_ARGS} < ${PATCHDIR}/extra-patch-reverse_reply
 .endif
 
-.if defined(WITH_MUTT_PARENT_CHILD_MATCH_PATCH)
+.if ${PORT_OPTIONS:MPARENT_CHILD_MATCH_PATCH}
 post-patch::
 	@${PATCH} ${PATCH_ARGS} -p1 < ${PATCHDIR}/extra-patch-parent-child-match
 .endif
 
-.if defined(WITHOUT_MUTT_FLOCK)
-CONFIGURE_ARGS+=	--disable-flock
-.else
+.if ${PORT_OPTIONS:MFLOCK}
 CONFIGURE_ARGS+=	--enable-flock
+.else
+CONFIGURE_ARGS+=	--disable-flock
 .endif
-.if defined(WITH_MUTT_LOCALES_FIX)
+
+.if ${PORT_OPTIONS:MLOCALES_FIX}
 CONFIGURE_ARGS+=	--enable-locales-fix
 .endif
-.if defined(MUTT_USES_NCURSES_PORT)
-CONFIGURE_ARGS+=	--with-curses=${NCURSESBASE}
-.elif defined(MUTT_USES_SLANG)
-CONFIGURE_ARGS+=	--with-slang=${LOCALBASE}
+
+.if ${PORT_OPTIONS:MICONV}
+USE_ICONV=	yes
+CONFIGURE_ARGS+=	--with-libiconv-prefix=${LOCALBASE}
 .else
-CONFIGURE_ARGS+=	--with-curses=${NCURSESBASE}
-.endif
-.if defined(WITH_MUTT_CYRUS_SASL2)
-CONFIGURE_ARGS+=	--with-sasl=${LOCALBASE}
-.endif
-.if defined(WITHOUT_NLS)
-CONFIGURE_ARGS+=	--disable-nls
-.endif
-.if defined(WITHOUT_MUTT_ICONV)
 CONFIGURE_ARGS+=	--disable-iconv
-.else
-CONFIGURE_ARGS+=	--with-libiconv-prefix=${LOCALBASE}
 .endif
-.if defined(WITH_MUTT_IDN)
+
+.if ${PORT_OPTIONS:MIDN}
+LIB_DEPENDS+=	idn:${PORTSDIR}/dns/libidn
 CONFIGURE_ARGS+=	--with-idn
 .else
 CONFIGURE_ARGS+=	--without-idn
 .endif
-.if defined(WITH_MUTT_GPGME)
+
+.if ${PORT_OPTIONS:MGPGME}
+LIB_DEPENDS+=	gpgme:${PORTSDIR}/security/gpgme
 CONFIGURE_ARGS+=	--enable-gpgme
 .else
 CONFIGURE_ARGS+=	--disable-gpgme
 .endif
 LDFLAGS=
-.if !defined(WITHOUT_GSSAPI)
+
+.if ${PORT_OPTIONS:MGSSAPI}
 .if exists(${LOCALBASE}/bin/krb5-config)
-LIB_DEPENDS+=		gssapi_krb5:${PORTSDIR}/security/krb5
+LIB_DEPENDS+=		gssapi_krb5.2:${PORTSDIR}/security/krb5
 CONFIGURE_ARGS+=	--with-gss=${LOCALBASE}
 .elif exists(${KRB5_HOME}/bin/krb5-config)
 LIB_DEPENDS+=		gssapi_krb5:${PORTSDIR}/security/krb5
@@ -415,24 +269,27 @@ CONFIGURE_ARGS+=	--with-gss=${HEIMDAL_HO
 LDFLAGS+=		-L${HEIMDAL_HOME}/lib -rpath=${HEIMDAL_HOME}/lib
 .elif (defined(MAKE_KERBEROS5)) || exists(/usr/lib/libkrb5.a)
 CONFIGURE_ARGS+=	--with-gss
-USE_KRB5_SYS=YES
+WITH_KRB5_SYS=YES
 .endif
 .endif
+
 LDFLAGS+=		-L${LOCALBASE}/lib -rpath=${LOCALBASE}/lib:/usr/lib
 CFLAGS+=		${CFLAGS_ADD}
 LDFLAGS+=		${LDFLAGS_ADD}
-.if defined(WITH_MUTT_SMTP)
+
+.if ${PORT_OPTIONS:MSMTP}
 CONFIGURE_ARGS+=	--enable-smtp
 .else
 CONFIGURE_ARGS+=	--disable-smtp
 .endif
-.if defined(WITH_MUTT_DEBUG)
+
+.if ${PORT_OPTIONS:MDEBUG}
 CONFIGURE_ARGS+=	--enable-debug
 .endif
 
 PATCH_DIST_STRIP=	-p1
 
-.if ! defined (WITHOUT_MUTT_COMPRESSED_FOLDERS)
+.if ${PORT_OPTIONS:MCOMPRESSED_FOLDERS}
 DISTFILES+=	patch-${RR_PATCH_VERSION}.rr.compressed.gz:vvv
 CONFIGURE_ARGS+=	--enable-compressed
 XML_NEEDED=	yes
@@ -442,32 +299,39 @@ pre-patch::
 		 ${WRKDIR}/patch-compressed
 	@${PATCH} ${PATCH_ARGS} -p1 < ${WRKDIR}/patch-compressed
 .endif
-.if defined(WITH_MUTT_NNTP)
+
+.if ${PORT_OPTIONS:MNNTP}
 DISTFILES+=	patch-${VVV_PATCH_VERSION}.vvv.nntp.gz:vvv
 CONFIGURE_ARGS+=	--enable-nntp
 XML_NEEDED=	yes
+CATEGORIES+=	news
+SCRIPTS_ENV+=	NNTP="yes"
 pre-patch::
 	@${GUNZIP_CMD} -c ${DISTDIR}/${DIST_SUBDIR}/patch-${VVV_PATCH_VERSION}.vvv.nntp.gz > ${WRKDIR}/patch-nntp
 	@${REINPLACE_CMD} -E '/^diff.*\/doc\/manual.txt$$/,/^diff/d' \
 		${WRKDIR}/patch-nntp
 	@${PATCH} ${PATCH_ARGS} -p1 < ${WRKDIR}/patch-nntp
 .endif
-.if ! defined(WITHOUT_MUTT_QUOTE_PATCH)
+
+.if ${PORT_OPTIONS:MQUOTE_PATCH}
 PATCHFILES+=	patch-${VVV_PATCH_VERSION}.vvv.initials.gz:vvv \
 		patch-${VVV_PATCH_VERSION}.vvv.quote.gz:vvv
 XML_NEEDED=	yes
 .endif
-.if defined(WITH_MUTT_IFDEF_PATCH)
+
+.if ${PORT_OPTIONS:MIFDEF_PATCH}
 post-patch::
 	@${PATCH} ${PATCH_ARGS} -p1 < ${PATCHDIR}/extra-patch-ifdef
 .endif
-.if defined(WITH_MUTT_MBOX_HOOK_PATCH)
-IGNORE=	the WITH_MUTT_MBOX_HOOK_PATCH does not work at the moment
+
+.if ${PORT_OPTIONS:MMBOX_HOOK_PATCH}
+IGNORE=	the MBOX_HOOK_PATCH does not work at the moment
 #PATCHFILES+=	p0-patch-${DW_MBOX_PATCH_VERSION}.dw.mbox-hook.1:dw
 .endif
-.if defined(WITH_MUTT_SIDEBAR_PATCH)
+
+.if ${PORT_OPTIONS:MSIDEBAR_PATCH}
 XML_NEEDED=	yes
-.if defined(WITH_MUTT_NNTP)
+.if ${PORT_OPTIONS:MNNTP}
 post-patch::
 	@${PATCH} ${PATCH_ARGS} -p1 < ${PATCHDIR}/extra-patch-sidebar-nntp
 .else
@@ -475,11 +339,12 @@ post-patch::
 	@${PATCH} ${PATCH_ARGS} -p1 < ${PATCHDIR}/extra-patch-sidebar
 .endif
 .endif
-.if defined(WITH_MUTT_GREETING_PATCH)
+
+.if ${PORT_OPTIONS:MGREETING_PATCH}
 post-patch::
 	@${PATCH} ${PATCH_ARGS} -p1 < ${PATCHDIR}/extra-patch-greeting
 .endif
-.if defined(WITH_MUTT_TRASH_PATCH)
+.if ${PORT_OPTIONS:MTRASH_PATCH}
 post-patch::
 	@${PATCH} ${PATCH_ARGS} -p1 < ${PATCHDIR}/extra-patch-trash-purge
 .endif
@@ -487,7 +352,7 @@ post-patch::
 WRKSRC=		${WRKDIR}/${DISTNAME:S/i$//}
 MAN1=		mutt.1 mutt_dotlock.1 flea.1 muttbug.1 smime_keys.1
 MAN5=		muttrc.5
-.if !defined(WITHOUT_MUTT_MAILBOX_MANPAGES)
+.if ${PORT_OPTIONS:MMAILBOX_MANPAGES}
 MAN5+=		mbox.5 mmdf.5
 .endif
 
@@ -498,32 +363,32 @@ post-patch::
 		${WRKSRC}/contrib/pgp6.rc
 	@${REINPLACE_CMD} -E -e 's|@samplesdir@|${EXAMPLESDIR}|g' \
 		${WRKSRC}/contrib/Makefile.am
-.if defined(WITHOUT_MUTT_MAILBOX_MANPAGES)
+.if ! ${PORT_OPTIONS:MMAILBOX_MANPAGES}
 	@${PATCH} ${PATCH_ARGS} < ${PATCHDIR}/extra-patch-no-mbox-manpage
 .endif
 
 pre-configure::
 	@(cd ${WRKSRC}; ${SETENV} ${AUTOMAKE_ENV} ${ACLOCAL} -I m4)
-.if defined(USE_KRB5_SYS)
+.if defined(WITH_KRB5_SYS)
 	@${ECHO_CMD} "#define HAVE_HEIMDAL" >> ${WRKSRC}/config.h.in
 	@${REINPLACE_CMD} -e 's|<gssapi/gssapi\.h>|<gssapi.h>|' \
 		${WRKSRC}/imap/auth_gss.c
 .endif
 
-.if defined(MUTT_SLAVE_HTML_PAGES)
-SCRIPTS_ENV+=	MUTT_SLAVE_HTML_PAGES="${MUTT_SLAVE_HTML_PAGES}"
+.if ${PORT_OPTIONS:MSLAVE_HTML_PAGES}
+SCRIPTS_ENV+=	SLAVE_HTML_PAGES="${SLAVE_HTML_PAGES}"
 .endif
-.if defined(WITH_MUTT_NNTP)
-SCRIPTS_ENV+=	MUTT_NNTP="yes"
-.endif
-.if ! defined (WITHOUT_MUTT_COMPRESSED_FOLDERS)
-SCRIPTS_ENV+=	MUTT_COMPRESSED_FOLDERS="yes"
+
+.if ${PORT_OPTIONS:MCOMPRESSED_FOLDERS}
+SCRIPTS_ENV+=	COMPRESSED_FOLDERS="yes"
 .endif
-.if ! defined(WITHOUT_MUTT_QUOTE_PATCH)
-SCRIPTS_ENV+=	MUTT_QUOTE_PATCH="yes"
+
+.if ${PORT_OPTIONS:MQUOTE_PATCH}
+SCRIPTS_ENV+=	QUOTE_PATCH="yes"
 .endif
-.if defined(WITH_MUTT_IMAP_HEADER_CACHE)
-.if defined(WITH_TOKYOCABINET)
+
+.if ${PORT_OPTIONS:MIMAP_HEADER_CACHE}
+.if ${PORT_OPTIONS:MTOKYOCABINET}
 CONFIGURE_ARGS+=	--enable-hcache --without-gdbm --without-bdb --with-tokyocabinet
 LIB_DEPENDS+=		tokyocabinet.9:${PORTSDIR}/databases/tokyocabinet
 .else
@@ -533,30 +398,29 @@ CONFIGURE_ARGS+=	--enable-hcache --witho
 .else
 CONFIGURE_ARGS+=	--disable-hcache
 .endif
-.if defined(WITH_MUTT_MAILDIR_HEADER_CACHE)
+
+.if ${PORT_OPTIONS:MMAILDIR_HEADER_CACHE}
 CONFIGURE_ARGS+=	--without-qdbm
 .endif
-.if defined(WITH_MUTT_SIDEBAR_PATCH)
-SCRIPTS_ENV+=	MUTT_SIDEBAR_PATCH="yes"
-.endif
-.if defined(WITH_MUTT_SIGNATURE_MENU)
-SCRIPTS_ENV+=	MUTT_SIGNATURE_MENU="yes"
-.endif
-.if defined(WITH_MUTT_IFDEF_PATCH)
-SCRIPTS_ENV+=	MUTT_IFDEF_PATCH="yes"
+
+.if ${PORT_OPTIONS:MSIDEBAR_PATCH}
+SCRIPTS_ENV+=	SIDEBAR_PATCH="yes"
 .endif
-.if ! defined(WITHOUT_MUTT_HTML)
-SCRIPTS_ENV+=	MUTT_HTML="yes"
+
+.if ${PORT_OPTIONS:MIFDEF_PATCH}
+SCRIPTS_ENV+=	IFDEF_PATCH="yes"
 .endif
-.if !defined(WITHOUT_NLS)
-SCRIPTS_ENV+=	MUTT_NLS="yes"
+
+.if ${PORT_OPTIONS:MHTML}
+SCRIPTS_ENV+=	HTML="yes"
 .endif
-.if defined(WITH_MUTT_REVERSE_REPLY_PATCH)
-SCRIPTS_ENV+=	MUTT_REVERSE_REPLY_PATCH="yes"
+
+.if ${PORT_OPTIONS:MREVERSE_REPLY_PATCH}
+SCRIPTS_ENV+=	REVERSE_REPLY_PATCH="yes"
 .endif
 
-.if !defined(NOPORTDOCS)
-SCRIPTS_ENV+=	MUTT_PORTDOCS="yes"
+.if ${PORT_OPTIONS:MDOCS}
+SCRIPTS_ENV+=	PORTDOCS="yes"
 post-build:
 	@${PATCH} ${PATCH_ARGS} < ${PATCHDIR}/extra-patch-doc-ref
 	@${REINPLACE_CMD} -E -e 's|\$$\{PREFIX\}|${PREFIX}|g' \
@@ -567,16 +431,17 @@ post-build:
 		-e 's|\$$\{DOCSDIR\}|${DOCSDIR}|g' \
 		-e 's|\$$\{EXAMPLESDIR\}|${EXAMPLESDIR}|g' \
 		${WRKSRC}/doc/muttrc.man
-.if ! defined(WITHOUT_MUTT_HTML)
+
+.if ${PORT_OPTIONS:MHTML}
 XML_USED=	yes
 .endif
-.if defined(XML_NEEDED) && !defined(WITHOUT_MUTT_XML)
+.if defined(XML_NEEDED) && ${PORT_OPTIONS:MXML}
 XML_USED=	yes
 .endif
-.else 	# ! NOPORTDOCS
+.else 	# ! DOCS
 post-patch::
 	@${PATCH} ${PATCH_ARGS} < ${PATCHDIR}/extra-patch-nodoc-contrib
-.endif # ! NOPORTDOCS
+.endif # ! DOCS
 
 .if ${XML_USED} == yes
 BUILD_DEPENDS+=	xsltproc:${PORTSDIR}/textproc/libxslt \
@@ -591,29 +456,30 @@ pre-install:
 
 post-install:
 	${INSTALL_DATA} ${WRKSRC}/doc/Muttrc ${PREFIX}/etc/Muttrc.dist
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	@${ECHO} "===>   Installing Mutt documentation"
 	@${MKDIR} ${DOCSDIR} && ${CHMOD} a+rx ${DOCSDIR}
 	@cd ${WRKSRC}/doc ; ${INSTALL_MAN} manual.txt PGP-Notes.txt \
 		../ABOUT-NLS ../contrib/language*  ${DOCSDIR}
-.if defined(WITH_MUTT_NNTP)
+.if ${PORT_OPTIONS:MNNTP}
 	@cd ${WRKSRC} ; ${INSTALL_MAN} ChangeLog.nntp ${DOCSDIR}
 .endif
-.if ! defined(WITHOUT_MUTT_HTML)
+.if ${PORT_OPTIONS:MHTML}
 	@${MKDIR} ${DOCSDIR}/html && ${CHMOD} a+rx ${DOCSDIR}/html
 	${INSTALL_MAN} ${WRKSRC}/doc/*.html ${DOCSDIR}/html
 .endif
 .endif
-.if defined(MUTT_USES_SLANG)
-	@${ECHO} "=====================================================" >> ${PKGMESSAGE}
+.if ${PORT_OPTIONS:MSLANG}
+	@${ECHO} "=====================================================" > ${PKGMESSAGE}
 	@${ECHO} "You have installed ${PORTNAME} with SLANG support." >> ${PKGMESSAGE}
 	@${ECHO} "This may work for a color terminal only when defining" >> ${PKGMESSAGE}
 	@${ECHO} "COLORTERM=yes and COLORFGBG=\"color1;color2\" in your" >> ${PKGMESSAGE}
 	@${ECHO} "environment." >> ${PKGMESSAGE}
 	@${ECHO} "=====================================================" >> ${PKGMESSAGE}
 .endif
-.if !defined(BATCH) && defined(MUTT_USES_SLANG)
+
+.if !defined(BATCH) && ${PORT_OPTIONS:MSLANG}
 	@${CAT} ${PKGMESSAGE}
 	@${ECHO}
 .endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/mail/mutt/pkg-descr
==============================================================================
--- head/mail/mutt/pkg-descr	Thu Mar 14 07:18:55 2013	(r314136)
+++ head/mail/mutt/pkg-descr	Thu Mar 14 07:34:30 2013	(r314137)
@@ -6,7 +6,6 @@ Features include color support, message 
 RFC1522 support for encoded headers), customizable key bindings, POP3,
 Delivery Status Notification (DSN) support, and PGP/MIME.
 
-WWW: http://www.mutt.org/
 Mutt User Information:	http://www.math.fu-berlin.de/~guckes/mutt/
 
-	-- David	(obrien@cs.ucdavis.edu)
+WWW: http://www.mutt.org/

Modified: head/mail/mutt/scripts/generate-plist
==============================================================================
--- head/mail/mutt/scripts/generate-plist	Thu Mar 14 07:18:55 2013	(r314136)
+++ head/mail/mutt/scripts/generate-plist	Thu Mar 14 07:34:30 2013	(r314137)
@@ -30,7 +30,7 @@ bin/pgpring
 bin/smime_keys
 EOF
 
-if [ "$MUTT_NLS" = "yes" ]; then
+if [ "$NLS" = "yes" ]; then
   cat >> $tmp_first <<EOF
 share/locale/bg/LC_MESSAGES/mutt.mo
 share/locale/ca/LC_MESSAGES/mutt.mo
@@ -64,7 +64,7 @@ share/locale/zh_TW/LC_MESSAGES/mutt.mo
 EOF
 fi
 
-if [ "$MUTT_PORTDOCS" = "yes" ]; then
+if [ "$PORTDOCS" = "yes" ]; then
   cat >> $tmp_first <<EOF
 %%DOCSDIR%%/ABOUT-NLS
 %%DOCSDIR%%/COPYRIGHT
@@ -119,11 +119,11 @@ if [ "$MUTT_PORTDOCS" = "yes" ]; then
 %%EXAMPLESDIR%%/iconv/iconv.solaris-2.7.rc
 EOF
 
-  if [ "$MUTT_NNTP" = "yes" ]; then
+  if [ "$NNTP" = "yes" ]; then
     echo "%%DOCSDIR%%/ChangeLog.nntp" >> $tmp_first
   fi
 
-  if [ "$MUTT_HTML" = "yes" ]; then
+  if [ "$HTML" = "yes" ]; then
     echo "%%DOCSDIR%%/html/advancedusage.html" >> $tmp_first
     echo "%%DOCSDIR%%/html/configuration.html" >> $tmp_first
     echo "%%DOCSDIR%%/html/gettingstarted.html" >> $tmp_first
@@ -136,7 +136,7 @@ EOF
     echo "%%DOCSDIR%%/html/reference.html" >> $tmp_first
     echo "%%DOCSDIR%%/html/security.html" >> $tmp_first
     echo "%%DOCSDIR%%/html/tuning.html" >> $tmp_first
-    if [ "$MUTT_COMPRESSED_FOLDERS" = "yes" ]; then
+    if [ "$COMPRESSED_FOLDERS" = "yes" ]; then
       echo "%%DOCSDIR%%/html/compressed-folders.html" >> $tmp_first
     fi
     echo "@dirrm %%DOCSDIR%%/html" >> $tmp_last
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Jason Helfman freebsd_committer 2013-03-14 07:34:50 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!